module.exports = {
    banner: {
        btnRegister: "button[id='btn-regist-class-banner']",
    },
    titleSection: "h2[class='sm:text-lg sm:mb-0 font-medium text-green uppercase tracking-widest mb-1']",
    subTitleSection: "h3[class='sm:text-[32px] sm:mb-9 sm:leading-9 font-medium text-xl mb-[18px] leading-7']",
    sidebar_container: "ul[class='list-none pl-0 mb-0']",
    sidebarmenuIsActive: "li[class='font-semibold border-l-4 border-l-blue bg-new-grey text-md cursor-pointer px-[26px] py-4 border-b border-b-new-grey']",
    sidebarmenuIsNotActive: "ul li[class='text-md cursor-pointer px-[26px] py-4 border-b border-b-new-grey']",
    sectionUpcomingBatch: {
        containerBatchSoon: "section[id='batch-soon1']",
        linkRedirectRegist: "button[class='border-none m-0 p-0 w-auto overflow-visible bg-transparent text-blue underline']",
        cardUpcommingBatch: "div[class='flex flex-col']",
    },
    sectionOutcomes: {
        containerOutcomes: "div[id='outcomes1']",
        dataStatsOutcomes: "h1[class='text-blue text-2xl']",
        dataOutcomes: "div[class='w-full']",
    },
    sectionBenefit: {
        containerBenefit: "div[class='flex items-center border border-new-grey sm:py-[26px] sm:px-6 benefit-animation py-4 px-[18px] sm-only:gap-4']",
        titleBenefit: "div[class='font-semibold mb-1.5 benefit-animation__title sm-only:text-sm']",
        descBenefit: "div[class='sm:text-sm text-xs text-black-48']",
    },
    sectionCurriculum: {
        containerCuriculum: "div[id='curiculum1']",
        containerListCuriculum: "div[class='sm:mb-9 mb-[18px] sm:flex grid gap-4']",
        btnDownload: "button[id='btn-download-syllabus']",
        containerModalLogin: "div[class='inline-block bg-white rounded-lg z-[1000] min-h-10 min-w-[30vw] lg:max-w-[80vw] max-w-[calc(100vw-30px)] max-h-[calc(100vh-30px)] relative p-5 opacity-100 scale-100']",
        titleLogin: "div[class='font-semibold text-center text-2xl']",
        inputLoginEmail: "input[id='login-email-field']",
        inputLoginPassword: "input[class='w-full sm-only:text-sm focus:outline-none focus:shadow-outline']",
        buttonLogin: "button[id='btn-login-modal']",
        containerDownloadPopupAfterLogin: "div[class='inline-block bg-white rounded-lg z-[1000] min-h-10 min-w-[30vw] lg:max-w-[80vw] max-w-[calc(100vw-30px)] max-h-[calc(100vh-30px)] relative sm:min-w-[50%] min-w-[90%] !rounded-none max-h-[80vh] overflow-scroll p-5 opacity-100 scale-100']",
        titleFormDataForDownloadSylabus: "h2[class='text-xl']",
        inputUserFullname: "input[id='user_fullname']",
        inputUserEmail: "input[id='user_email']",
        inputUserPhonenumber: "input[id='user_phone_number']",
        inputReasonDownload: "textarea[id='reason_of_download']",
        btnDownloadCurriculum: "button[class='relative flex items-center justify-center rounded font-medium hover:shadow-[0_12px_32px_0px_rgba(0,0,0,0.2)] disabled:bg-grey-97 disabled:text-white disabled:cursor-not-allowed text-white bg-blue p-3 text-sm lg:text-base w-full !rounded-none']",
        buttonClosePopupDownload: "button[class='flex top-2.5 right-2.5 absolute z-[888] align-end lg:hidden']",
        errorMessageRequiredFields: "small[class='text-red absolute left-0 bottom-[-18px]']",
        errorMessageOnReasonArea: "small[class='absolute left-0 -bottom-4 text-red']",
    },
    sectionTools: {
        containerTools: "div[id='tools1']",
        titleSection: ""
    },
    sectionTutor: {
        tutorName: "div[class='font-semibold sm:mb-2.5 mb-1 sm:text-xl']",
        tutorCompany: "div[class='text-light-grey sm:mb-4 sm-only:text-sm h-[3em] line-clamp-2 mb-2.5']",
        buttonNext: "button[class='right-[-10px] w-[50px] h-[50px] absolute top-[42%] flex items-center justify-center bg-white rounded-full shadow-[0_2px_5px_-0px_rgba(0,0,0,0.3)] absolute  top-[50%] w-[42px] h-[42px] -right-[8px]']",
    },
    sectionLearningExperience: {
        containerRiseLearnAndRiseUp: "div[class='border border-new-grey sm:p-6 py-4 px-[18px]']",
        areaRiseLearnAndPlay: "div[class='uppercase tracking-widest arrow_ribbon arrow_ribbon--green']",
        areaRiseUp: "div[class='uppercase tracking-widest arrow_ribbon arrow_ribbon--blue']",
        buttonBoxOnBoarding: "button[id='headlessui-tabs-tab-:rf:']",
        buttonBoxSkillAcquisition: "button[id='headlessui-tabs-tab-:rg:']",
        buttonBoxBigMission: "button[id='headlessui-tabs-tab-:rh:']",
        buttonBoxGraduation: "button[id='headlessui-tabs-tab-:ri:']",
        buttonBoxCareerCoaching: "button[id='headlessui-tabs-tab-:rj:']",
        buttonBoxRealProject: "button[id='headlessui-tabs-tab-:rk:']",
        
        titleGreenOnBoxDesc: "div[class='uppercase text-sm font-medium tracking-widest mb-1.5 text-green']",
        titleBlueOnBoxDesc: "div[class='uppercase text-sm font-medium tracking-widest mb-1.5 text-blue']",

        titleMetodeLearning: "div[class='font-semibold mb-3 text-left text-xl']",
        subtitleMetodeLearning: "div[class='text-sm method-animation__description']",
    },
    sectionTestimoni: {
        containerTestimoni: "li[class='react-multi-carousel-item react-multi-carousel-item--active px-[1.35vw]']",
        areaTestimoni: "div[class='sm:leading-6 line-clamp-6 h-[9em] mb-6 sm-only:text-sm leading-[22px]']",
        testimoniAlumniName: "div[class='font-semibold']",
        testimooniAlumniCompany: "div[class='text-sm text-[#484848]']",
        buttonNextTestimoni: "button[class='right-[-10px] w-[50px] h-[50px] absolute top-[42%] flex items-center justify-center bg-white rounded-full shadow-[0_2px_5px_-0px_rgba(0,0,0,0.3)] absolute  -right-[1vw] top-[55%] w-[42px] h-[42px]']",
    },
    sectionPortFolioAlumni: {
        titlePortfolio: "div[class='sm:text-xl mb-3 font-semibold line-clamp-1 text-sm']",
        descPortfolio: "div[class='sm:text-sm sm:h-36 sm:leading-6 mb-4 line-clamp-6 text-xs leading-4 h-20']",
        buttonNextPortfolio: "button[class='right-[-10px] w-[50px] h-[50px] absolute top-[42%] flex items-center justify-center bg-white rounded-full shadow-[0_2px_5px_-0px_rgba(0,0,0,0.3)] absolute  -right-[1vw] top-[55%] w-[42px] h-[42px]']",
        linkPortofolio_0: "button[id='btn-download-portfolio-0']",
        linkPortofolio_1: "button[id='btn-download-portfolio-1']",
        linkPortofolio_2: "button[id='btn-download-portfolio-2']",
        linkPortofolio_3: "button[id='btn-download-portfolio-3']",
        linkPortofolio_4: "button[id='btn-download-portfolio-4']",
        linkPortofolio_5: "button[id='btn-download-portfolio-5']",
        linkPortofolio_6: "button[id='btn-download-portfolio-6']",
        linkPortofolio_7: "button[id='btn-download-portfolio-7']",
        linkPortofolio_8: "button[id='btn-download-portfolio-8']",
        linkPortofolio_9: "button[id='btn-download-portfolio-9']",
        linkPortofolio_10: "button[id='btn-download-portfolio-10']",
        linkPortofolio_11: "button[id='btn-download-portfolio-11']",
        linkPortofolio_12: "button[id='btn-download-portfolio-12']",
        linkPortofolio_13: "button[id='btn-download-portfolio-13']",
        linkPortofolio_14: "button[id='btn-download-portfolio-14']",
        linkPortofolio_15: "button[id='btn-download-portfolio-15']",
        linkPortofolio_16: "button[id='btn-download-portfolio-16']",
        linkPortofolio_17: "button[id='btn-download-portfolio-17']",
    },
    sectionScheduleBootcamp: {
        headerTableScheduleBootcamp: "thead[class='bg-[#F7F9FA]']",
    },
    sectionCategoryProgram: {
        containerCategoryProgram: "div[class='relative sm:mb-15']",
        tabPriceProgram: "div[class='grid grid-cols-2 sm:mb-9 mb-[18px]']",
        iconChecklistOnCategoryProgram: "svg[class='text-green']",
        iconFalseOnCategoryProgram: "svg[class='text-red']",
        
        tabCreditProgramInvest: "button[id='headlessui-tabs-tab-:R2cjsl6:']",
        titleCicilan: "div[class='font-medium text-sm mb-3 uppercase tracking-widest text-green']",
        linkDocs: "a[href='https://docs.google.com/presentation/d/1ZQTqd-LxtoccGHw_KhqWzEC9F3Wu3Vi0/edit#slide=id.p1']",
        buttonContactAdminProgramInvest: "button[class='relative flex items-center justify-center rounded font-medium hover:shadow-[0_12px_32px_0px_rgba(0,0,0,0.2)] disabled:bg-grey-97 disabled:text-white disabled:cursor-not-allowed text-white bg-green px-6 py-2 text-sm lg:text-base !rounded-none']",
    },
    sectionPaymentMethod: {
        titlePaymentMethod: "div[class='sm:mb-1.5 font-semibold mb-2']",
        descPaymentMethod: "div[class='w-11/12 text-sm']",
    },
    sectionFAQ: {
        containerFAQ: "div[class='flex flex-col gap-4']",
        listAreaFAQ: "button[id='headlessui-disclosure-button-:rr:']",
        areaAnswer: "div[class='bg-[#f7f9fa] px-4 py-2 sm:text-base text-light-grey text-sm']",
        iconHiddenAnswer: "svg[stroke='currentColor']",
        iconExpandAnswer: "svg[class='rotate-180 transform text-green']",
        questionsList: "button[class='flex justify-between bg-[#f7f9fa] p-4 font-medium sm:text-base text-left w-full text-sm']",
    },
    sectionOtherBootcamp: {
        titleOtherBootcamp: "h2[class='sm:text-[32px] sm:mb-3 font-medium text-sm mb-1']",
        tagBootcamp: "div[class='uppercase text-blue sm:mb-3 tracking-widest text-sm']",
        areaDurationAndSchedule: "div[class='flex items-center mb-2 gap-3 text-sm ']",
        priceBootcamp: "div[class='sm:text-lg  text-green font-bold text-sm']",

        titleFullstackWebOnCard: "h5[id='program-title-bootcamp-0']",
        titleHumanresourceOnCard: "h5[id='program-title-bootcamp-1']",
        titleBig4AuditorOnCard: "h5[id='program-title-bootcamp-2']",
        titleDigmarOnCard: "h5[id='program-title-bootcamp-3']",
        titleUXROnCard: "h5[id='program-title-bootcamp-4']",

        btnNextCardBootcamp: "button[class='right-[-10px] w-[50px] h-[50px] absolute top-[42%] flex items-center justify-center bg-white rounded-full shadow-[0_2px_5px_-0px_rgba(0,0,0,0.3)] absolute  top-[55%] w-[42px] h-[42px] right-[0.6vw]']",
        btnPreviousCardBootcamp: "button[class='left-[-10px] w-[50px] h-[50px] absolute top-[42%] flex items-center justify-center bg-white rounded-full shadow-[0_2px_5px_-0px_rgba(0,0,0,0.3)] absolute  top-[55%] w-[42px] h-[42px] left-[0.6vw]']",
    },

}